Bug 134645 - 541 memory corruption/panics with raid5
541 memory corruption/panics with raid5
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FC3Blocker
  Show dependency treegraph
 
Reported: 2004-10-05 08:31 EDT by Warren Togami
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-09 18:17:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2004-10-05 08:31:59 EDT
Description of problem:
kernel-2.6.8-1.541 seems to have some kind of memory corruption and
kernel panics when raid5 is in use.  My system has RAID1 for /, RAID1
for swap, and RAID5 for /home, across four disks.

* Booting FC3test2 rescue mode, mounting the /mnt/sysimage raid shows
lots of garbage on the screen.  ls output shows corrupted looking
filenames for anything that is colored.  This is indicative of kernel
induced memory corruption.
* During normal operation running 541, there are random kernel panics.
* Loopback mounting iso images on the raid5 array rapidly causes
kernel panics.

This issue is confirmed solved in 2.6.9-rc2-bk4+

Version-Release number of selected component (if applicable):
kernel-2.6.8-1.541
Comment 1 Warren Togami 2004-10-09 18:17:57 EDT
This seems solved by 590+.

Note You need to log in before you can comment on or make changes to this bug.